Package org.gradle.tooling.events.problems

## Interface ProblemDescriptor

- All Superinterfaces:
    `BaseProblemDescriptor`, `OperationDescriptor`

      @Incubating
      public interface ProblemDescriptor
      extends BaseProblemDescriptor

  Describes a problem event.

  Provides all details provided for problem events. The events are generated via the Problems API.

  Since:
    8.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProblemCategory` | `getCategory()` | Returns the problem category.
    `Details` | `getDetails()` | Returns the details string.
    `DocumentationLink` | `getDocumentationLink()` | Returns the link to the documentation
    `Label` | `getLabel()` | Returns the problem label.
    `java.util.List<Location>` | `getLocations()` | Returns the locations associated with this problem.
    `Severity` | `getSeverity()` | Returns the problem severity.
    `java.util.List<Solution>` | `getSolutions()` | Returns the list of solutions.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

      `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### getCategory

          ProblemCategory getCategory()

      Returns the problem category.
      Returns:
        the problem category
      Since:
        8.6

    - #### getLabel

          Label getLabel()

      Returns the problem label.
      Returns:
        the problem label
      Since:
        8.6

    - #### getDetails

          Details getDetails()

      Returns the details string.
      Returns:
        the problem details
      Since:
        8.6

    - #### getSeverity

          Severity getSeverity()

      Returns the problem severity.
      Returns:
        the problem severity
      Since:
        8.6

    - #### getLocations

          java.util.List<Location> getLocations()

      Returns the locations associated with this problem.
      Returns:
        the locations
      Since:
        8.6

    - #### getDocumentationLink

          DocumentationLink getDocumentationLink()

      Returns the link to the documentation
      Returns:
        the locations
      Since:
        8.6

    - #### getSolutions

          java.util.List<Solution> getSolutions()

      Returns the list of solutions.
      Returns:
        the solutions
      Since:
        8.6